%define dist el6
%define site .CTBTO

Summary: The ECMWF GRIB API is an application program interface accessible from C and FORTRAN programs developed for encoding and decoding WMO FM-92 GRIB edition 1 and edition 2 messages
Name:    grib_api
Group:   System Environment/Libraries
Version: 1.9.9
Release: 1%{site}.%{dist}
License: LGPL
URL:     http://www.ecmwf.int/products/data/software/grib_api.html
Source:  http://www.ecmwf.int/products/data/software/download/software_files/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: jasper jasper-devel libpng-devel libjpeg-devel
BuildRequires: bison flex byacc gcc gcc-gfortran
Requires: ksh

%description
The main requirement of this software is to decode different types of messages (GRIB 1 & 2) and to provide the same interface to access and modify them. As a consequence its design is very different from the old GRIBEX. Moreover the difference between the two message types is on a structural and semantic level and it is impossible and meaningless to address the information contained into a GRIB 1 or 2 message through a numeric table. These are the main reasons for which GRIB API has a key/value based approach and it is not compatible with GRIBEX. In the new GRIB API design each element of a grib message has an alphanumeric name (key) that can be used to access the information linked to it (value).

%prep
%setup -q -n %{name}-1.9.9

%build
%configure \
    --with-png-support \
    --prefix=/usr

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make check
make install DESTDIR=$RPM_BUILD_ROOT
sed -i -e " s#/usr/bin/ksh#/bin/ksh#; " %{buildroot}/usr/bin/grib1to2
find %{buildroot} -type f | sed -e " s#%{buildroot}##; " > files

%clean
rm -rf $RPM_BUILD_ROOT

%files -f files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LESSER INSTALL gpl-3.0.txt LICENSE README NEWS

%changelog
